### Hierarchy

- IDataInput

### Implemented by

- ByteArray
- Socket
- URLStream

## Index

### Properties

- bytesAvailable
- endian
- objectEncoding

### Methods

- readBoolean
- readByte
- readBytes
- readDouble
- readFloat
- readInt
- readMultiByte
- readShort
- readUTF
- readUTFBytes
- readUnsignedByte
- readUnsignedInt
- readUnsignedShort

## Properties

### bytesAvailable

bytesAvailable: number

- Defined in lib/openfl/utils/IDataInput.d.ts:11

### endian

endian: Endian

- Defined in lib/openfl/utils/IDataInput.d.ts:15

### objectEncoding

objectEncoding: number

- Defined in lib/openfl/utils/IDataInput.d.ts:20

## Methods

### readBoolean

- readBoolean(): boolean

- - Defined in lib/openfl/utils/IDataInput.d.ts:22

  #### Returns boolean

### readByte

- readByte(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:23

  #### Returns number

### readBytes

- readBytes(bytes: ByteArray, offset?: number, length?: number): void

- - Defined in lib/openfl/utils/IDataInput.d.ts:24

  #### Parameters

  - ##### bytes: ByteArray

  - ##### Optional offset: number

  - ##### Optional length: number

  #### Returns void

### readDouble

- readDouble(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:25

  #### Returns number

### readFloat

- readFloat(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:26

  #### Returns number

### readInt

- readInt(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:27

  #### Returns number

### readMultiByte

- readMultiByte(length: number, charSet: string): string

- - Defined in lib/openfl/utils/IDataInput.d.ts:28

  #### Parameters

  - ##### length: number

  - ##### charSet: string

  #### Returns string

### readShort

- readShort(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:34

  #### Returns number

### readUTF

- readUTF(): string

- - Defined in lib/openfl/utils/IDataInput.d.ts:38

  #### Returns string

### readUTFBytes

- readUTFBytes(length: number): string

- - Defined in lib/openfl/utils/IDataInput.d.ts:39

  #### Parameters

  - ##### length: number

  #### Returns string

### readUnsignedByte

- readUnsignedByte(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:35

  #### Returns number

### readUnsignedInt

- readUnsignedInt(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:36

  #### Returns number

### readUnsignedShort

- readUnsignedShort(): number

- - Defined in lib/openfl/utils/IDataInput.d.ts:37

  #### Returns number

Generated using TypeDoc